<template>
  <div class="app__container bg-background2">
    <SharedIndependentModuleRenderer>
      <game-entry v-if="themeColor.Text === 'bk8_green'" />
      <div v-else class="horizontal-game-entry-list grid grid-cols-3 gap-2 p-2">
        <new-black-theme-m-game-list-entry />
      </div>
    </SharedIndependentModuleRenderer>
  </div>
</template>

<script lang="ts">
import { defineComponent, ref } from "vue";
import { store } from "@/store";

export default defineComponent({
  name: "LiveCasino",
  setup() {
    const hasBanner = ref(false);
    const themeProperties = computed(
      () => store.state.companyThemePropertiesFromApi.ThemeProperties
    );
    const { themeColor } = themePropertyHelper;
    return {
      hasBanner,
      themeProperties,
      themeColor,
    };
  },
});
</script>

<style lang="scss">
[layout="playful"] {
  .horizontal-game-entry-list {
    padding-left: 8px;
    padding-right: 8px;
    // >div {
    //   width: calc(33.3333333333% - 0.34rem);
    // }
  }
}
.auto-height-wrapper {
  @apply h-[calc(100vh-108px)];
}
[layout="playful"] .auto-height-wrapper {
  @apply h-[calc(100vh-65px)];
}
[layout="global"] .auto-height-wrapper {
  @apply h-[calc(100vh-148px)];
}
</style>
